Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 5268 - NIS disables(?) local accounts
Summary: NIS disables(?) local accounts
Keywords:
Status: CLOSED WORKSFORME
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: passwd
Version: 6.0
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Cristian Gafton
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-09-21 14:36 UTC by aram
Modified: 2008-05-01 15:37 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 1999-10-05 06:13:17 UTC


Attachments (Terms of Use)

Description aram 1999-09-21 14:36:40 UTC
I have 2 redhat 6.0 boxes running NIS and having local
accounts. Local accounts except root (2 login-able accounts)
don't work anymore, i.e. I can't login using their
username/passwd combination via (virtual) console or
remotely. I can log in as root from console or login as an
NIS user. I can edit /etc/passwd and add new local users
that way, create/chown their dirs, but when I `passwd
newuser` as root I type in the passwd twice and get the
result that all auth token have been updated successfully,
while /etc/passwd still shows an unchanged passwd field. No
shadow passwds.

I can `/bin/su localuser` from root and stuff works, but
that is less than ideal.

/etc/nsswitch tells it to looks at (local) files before nis.
The only pointer I have is the /var/log/messages line that
says that the pwdb structure is no longer valid. And when I
try to `passwd` from a local user account (into which I've
su'ed from root) I get "Auth service cannot retrieve auth
info".

Comment 1 Cristian Gafton 1999-10-05 06:13:59 UTC
Are you sure this is not a problem of having shared UIDs between NIS
and the local system?

Also, you might not want to edit the local /etc/passwd by hand - use
useradd instead. There is a bug in passwd that will refuse to set the
passwords for accounts with an empty password field.


Note You need to log in before you can comment on or make changes to this bug.